html{
    scroll-behavior: smooth;
}

body{
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
}

#progression{
    height:10px;
    width: 100%;
    background-color: red;
    position: fixed;
    top:0px;
    left:0px;
}

header{
    width: 25vw;
    height: 100vh;
    padding: 16px;
    position: fixed;
    box-sizing: border-box;
}

#menuPrincipal ul{
    margin: 0;
    padding: 0;
}

#menuPrincipal ul li{
    border-bottom: 1px solid black;
    list-style-type: none;
    line-height: 30px;
}

#menuPrincipal ul li a{
    color: rgb(101, 101, 101);
    text-decoration: none;
}

#menuPrincipal ul li a:hover{
    color: rgb(197, 197, 197);
    transition-duration: 1s;
}

main{
    width: 75vw;
    padding: 16px;
    margin-left: 25vw;
}

main h1, 
main h2, 
main p{
    max-width: 50vw;
    min-width: 400px;
}

.souligne{
    border-bottom: 1px solid #000;
}

sup{
    width: 12px;
    height: 12px;
    border-radius:12px;
    background-color: black;
    color: white;
    text-align: center;
    display: inline-block;
    line-height: 12px;
    font-size: 10px;
}

.note{
    margin-right: -40%; /* positionnement à partir de la marge droite, en négatif (petit hack) */
    float: right; /* cette propriété permet de sortir la note du flux */
    max-width: 200px;
}

main a{
    color: black;
}
